# $Id: mathml-fonts.spec,v 1.27 2004/04/26 20:06:03 rexdieter Exp $

%define x11bindir     %{_prefix}/X11R6/bin
%define fontdir       %{_datadir}/fonts/mathml

Summary: Mathematical symbol fonts
Name:	 mathml-fonts 
Epoch:	 0
Version: 1.0
Release: 0.fdr.14
URL:	 http://www.mozilla.org/projects/mathml/fonts/
License: Distributable
Group:   User Interface/X
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

## Sources
## Mathematica fonts
Source10: http://support.wolfram.com/mathematica/systems/windows/general/MathFonts_TrueType.exe
## TeX fonts
#Source20: ftp://tug.ctan.org/tex-archive/fonts/cm/ps-type1/bakoma/ttf.tar.gz
Source20: ftp://tug.ctan.org/tex-archive/fonts/cm/ps-type1/bakoma/ttf/cmbx10.ttf
# Reference: http://wiki.lyx.org/beta/pmwiki.php/LyX/Troubleshooting
Source21: http://www.movement.uklinux.net/latex-xft-fonts-0.1.tar.gz
## Design Science fonts
#  License: http://www.dessci.com/en/support/eula/mtextralic.htm
#  URL: http://www.dessci.com/en/dl/fonts/
# extracted from MTW_Truetype.exe 
# (couldn't figure out how extract at build-time -- Rex)
Source30: mtextra.ttf

BuildRequires: %{x11bindir}/mkfontdir, %{x11bindir}/mkfontscale
# Help out apt/mach find the above
BuildRequires: XFree86-font-utils
BuildRequires: unzip

# we're pretty much useless without it, and use fc-cache
# in scriptlets
Prereq: fontconfig

# Not *strictly* required, for Adobe (PS)  Symbol font, expects 
# /usr/lib/acroread/Resource/Fonts
# Prereq: acroread
# BuildRequires: acroread

Provides: latex-xft-fonts = 0:0.1

%description
This package contains fonts required to display mathematical
symbols.  Applications supported include: 
* mozilla (and netscape >= 7) to display MathML
* lyx
* kformula (koffice)


%prep
%setup -T -c -n %{name} 

## Math'ca
unzip %{SOURCE10}

## TeX fonts
#setup -T -D -n %{name} -a 20 
cp -a %{SOURCE20} .
%setup -T -D -n %{name} -a 21

## dessci
cp -a %{SOURCE30} .


%build
# blank


%install
rm -rf "$RPM_BUILD_ROOT"

install -d $RPM_BUILD_ROOT%{fontdir}

# Ignore warnings about duplicate files/fonts, they're indentical anyway.
install -p -m644 \
  math{1,2,4}___.ttf \
  latex-xft-fonts*/*.ttf \
  cmbx10.ttf mtextra.ttf \
  $RPM_BUILD_ROOT%{fontdir}/

# Generate fonts.scale, etc... 
# don't really *need* this step, as we're Xft only...
%{x11bindir}/mkfontscale $RPM_BUILD_ROOT%{fontdir}
%{x11bindir}/mkfontdir   $RPM_BUILD_ROOT%{fontdir}

# "touch" all fonts.dir, fonts.scale, etc files we've got flagged as %ghost
touch $RPM_BUILD_ROOT%{fontdir}/{fonts.{dir,scale,cache-1},encodings.dir,Symbol.pfa}


%triggerin -- acroread
if [ ! -e %{fontdir}/Symbol.pfa -a \
       -e %{_libdir}/acroread/Resource/Font/Symbol ] ; then
  ln -s %{_libdir}/acroread/Resource/Font/Symbol %{fontdir}/Symbol.pfa
  ## Rebuild fontcache for now available Symbol.pfa
  fc-cache -f %{fontdir} ||:
fi
 
%triggerun -- acroread
[ $2 -eq 0 ] && rm -f %{fontdir}/Symbol.pfa
## Rebuild fontcache for now missing (or possibly changed) Symbol.pfa
fc-cache -f %{fontdir} ||:

%post
fc-cache -f %{fontdir} ||:


%files
%defattr(-,root,root)
%dir %{fontdir}
%{fontdir}/*.[ot]tf
%{fontdir}/fonts.dir
%{fontdir}/fonts.scale
%{fontdir}/encodings.dir
%ghost %{fontdir}/Symbol.pfa
%ghost %{fontdir}/fonts.cache-1


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Apr 26 2004 Rex Dieter <rexdieter at sf.net> 0:1.0-0.fdr.14
- remove touch-y Symbol.pfa stuff. (-:
- rework acroread triggers

* Mon Apr 26 2004 Rex Dieter <rexdieter at sf.net> 0:1.0-0.fdr.13
- removed not-needed %%postun
- Prereq: fontconfig
- rework handling of acroread's Symbol.pfa

* Sun Apr 25 2004 Rex Dieter <rexdieter at sf.net> 0:1.0-0.fdr.12
- fix typo in %%triggerun -- acroread
- don't use chkfontpath at all

* Sat Apr 24 2004 Rex Dieter <rexdieter at sf.net> 0:1.0-0.fdr.11
- BR: XFree86-font-utils
- add comment regarding lyx fonts
- remove use of mkfontdir -e which causes build failure on FC2.
- remove deprecated Xft1 bits
- add %%trigger for acroread, to rebuild font.cache-1 when/if 
  Symbol.pfa becomes available/unavailable.

* Tue Jan 13 2004 Rex Dieter <rexdieter at sf.net> 0:1.0-0.fdr.10
- loosen Require's

* Mon Dec 22 2003 Rex Dieter <rexdieter at sf.net> 0:1.0-0.fdr.9
- fix %%postun

* Sat Nov 22 2003 Rex Dieter <rexdieter at sf.net> 0:1.0-0.fdr.8
- make %%install step cleaner with no overwrites.

* Sat Nov 22 2003 Rex Dieter <rexdieter at sf.net> 0:1.0-0.fdr.7
- cleanup for fedora submission

* Wed Oct 29 2003 Rex Dieter <rexdieter at sf.net> 0:1.0-0.fdr.6
- add cmbx10 for (koffice's) kformula.
- remove unused PS Type1 fonts from src.rpm

* Wed Oct 22 2003 Rex Dieter <rexdieter at sf.net> 0:1.0-0.fdr.5
- remove crud from %%post

* Mon Oct 20 2003 Rex Dieter <rexdieter at sf.net> 0:1.0-0.fdr.4
- Provides: latex-xft-fonts
- Add a few additional fonts for lyx.

* Tue Oct 14 2003 Rex Dieter <rexdieter at sf.net> 0:1.0-0.fdr.2
- Xft1: add path to /etc/X11/XftConfig, if needed.
- we're Xft-only, don't add to xfs's fontpath (to avoid X crashes
  on rh73/XFree-4.2/Xft1)

* Mon Oct 13 2003 Rex Dieter <rexdieter at sf.net> 0:1.0-0.fdr.1
- Contrary to what http://mozilla.org/projects/mathml/fonts says,
  according to mozilla bug 128153c#76,#c81 you need ttf fonts, *not*
  type1 PS fonts.

* Wed Sep 10 2003 Rex Dieter <rexdieter at sf.net> 0:1.0-0.fdr.0
- fedora'ize
- include mtextra.pfb from http://www.dessci.com/

* Mon Nov 11 2002 Rex Dieter <rdieter at unl.edu> 1.0-0
- include latest Mathematica 4.1 fonts + CMSY10,CMEX10
- Require type1inst with added/fixed ams/wri font foundries
- prefer Math*.pfa over Math*.pfb as type1inst seems to 
  incorrectly identify some of the pfb versions.

